/*
 *  CONFIGURACION SHIELD BT SHD18
 *  Descargar el sketch al Arduino, desconectar el USB y/o la alimentación externa, después conectar la shield y configurar los jumpers como sigue:
 *  DOUT (TXD) al pin D2
 *  DIN (RXD) al pin D3
 *  Jumper para señal KEY en SW (Suiche)
 *  Poner suiche en L (0 lógico)
 *  Conectar de nuevo la alimentación,
 *  Poner suiche en H (1 lógico)
 *  Abrir el monitor serial (En el menú herramientas) y escoger formato de fin de linea "NL & CR" (Nueva línea y retorno del carro) y velocidad de 9600 baudios
 *  Entonces ya se puede enviar los comandos AT desde el monitor serial.
 */
 
#include <SoftwareSerial.h>

#define RxD 2
#define TxD 3

SoftwareSerial BTSerial(RxD, TxD);   //Crea un puerto serial por software en D2 y D3

void setup()
{
  pinMode(RxD, INPUT);
  pinMode(TxD, OUTPUT);  
  BTSerial.begin(9600);
  Serial.begin(9600);
  delay(500);  
  Serial.println("Enter AT commands:");
  delay(200);  
}

void loop()
{
  if (BTSerial.available()>0)   // Si hay datos listos para ser leidos del módulo BT
    Serial.write(BTSerial.read());    //Leer datos del modulo y transmitirlos por el puerto serie de Arduino

  if (Serial.available()>0)     // Si hay datos listos para ser leidos del puerto serie de Arduino
    BTSerial.write(Serial.read());    //Leer datos del puerto serie de Arduino y transmitirlos por el puerto serie del módulo BT
}
